import{S as Pg,i as Ag,s as Ng,e as a,k as h,w,t as p,M as Ig,c as i,d as t,m as g,a as l,x,h as m,b as q,G as e,g as k,y as T,q as b,o as M,B as O,v as Lg,L as C}from"../../../chunks/vendor-hf-doc-builder.js";import{T as ue}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as z}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as H}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as S}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Dg(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Vg(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Xg(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function Ug(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Wg(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=a("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),d=a("code"),u=p("pooler_output"),f=p(" as output):"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example of custom tasks(e.g. a sentence transformers taking "),d=i(v,"CODE",{});var E=l(d);u=m(E,"pooler_output"),E.forEach(t),f=m(v," as output):"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function Bg(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p("(only if the task is supported):"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,"(only if the task is supported):"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function Hg(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Qg(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">384</span>]`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Gg(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function Jg(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Kg(j){let s,_,d,u,f;return u=new z({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of image classification:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of image classification:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Yg(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function Zg(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function ef(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-masked-lm")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">28996</span>]`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function tf(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
fill_masker = pipeline("fill-mask", model=model, tokenizer=tokenizer)

text = "The capital of France is [MASK]."
pred = fill_masker(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(<span class="hljs-string">&quot;fill-mask&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = fill_masker(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function of(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function nf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("ehdwns1516/bert-base-uncased_SWAG")
model = ORTModelForMultipleChoice.from_pretrained("ehdwns1516/bert-base-uncased_SWAG", from_transformers=True)

num_choices = 4
first_sentence = ["Members of the procession walk down the street holding small horn brass instruments."] * num_choices
second_sentence = [
    "A drum line passes by walking down the street playing their instruments.",
    "A drum line has heard approaching them.",
    "A drum line arrives and they're outside dancing and asleep.",
    "A drum line turns the lead singer watches the performance."
]
inputs = tokenizer(first_sentence, second_sentence, truncation=True, padding=True)

for k, v in inputs.items():
    inputs[k] = [v[i: i + num_choices] for i in range(0, len(v), num_choices)]
inputs = dict(inputs.convert_to_tensors(tensor_type="pt"))
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_choices = <span class="hljs-number">4</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>first_sentence = [<span class="hljs-string">&quot;Members of the procession walk down the street holding small horn brass instruments.&quot;</span>] * num_choices
<span class="hljs-meta">&gt;&gt;&gt; </span>second_sentence = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line passes by walking down the street playing their instruments.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line has heard approaching them.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line arrives and they&#x27;re outside dancing and asleep.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line turns the lead singer watches the performance.&quot;</span>
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(first_sentence, second_sentence, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Unflatten the inputs values expanding it to the shape [batch_size, num_choices, seq_length]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items():
<span class="hljs-meta">... </span>    inputs[k] = [v[i: i + num_choices] <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-built_in">len</span>(v), num_choices)]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = <span class="hljs-built_in">dict</span>(inputs.convert_to_tensors(tensor_type=<span class="hljs-string">&quot;pt&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of mutliple choice:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of mutliple choice:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function sf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function rf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),_=p("Example of question answering:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of question answering:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function af(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function lf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function pf(j){let s,_,d,u,f;return u=new z({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of semantic segmentation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of semantic segmentation:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function mf(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function df(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function cf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function uf(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function hf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function gf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>]`}}),{c(){s=a("p"),_=p("Example of single-label classification:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of single-label classification:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function ff(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function _f(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),_=p("Example using zero-shot-classification "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using zero-shot-classification "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function $f(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function vf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function kf(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoProcessor, pipeline
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function wf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function xf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">9</span>]`}}),{c(){s=a("p"),_=p("Example of token classification:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of token classification:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Tf(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function bf(j){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var y=l(d);u=m(y,"Module"),y.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Mf(j){let s,_,d,u,f;return u=new z({props:{code:`from transformers import AutoImageProcessor, AutoTokenizer
from optimum.onnxruntime import ORTModelForVision2Seq
from PIL import Image
import requests


processor = AutoImageProcessor.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
tokenizer = AutoTokenizer.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
model = ORTModelForVision2Seq.from_pretrained("nlpconnect/vit-gpt2-image-captioning", from_transformers=True)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
inputs = processor(image, return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens, skip_special_tokens=True)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForVision2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests


<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForVision2Seq.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),w(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),x(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),T(u,n,r),f=!0},p:C,i(n){f||(b(u.$$.fragment,n),f=!0)},o(n){M(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),O(u,n)}}}function Of(j){let s,_,d,u,f,n,r,y;return r=new z({props:{code:`from transformers import AutoImageProcessor, AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForVision2Seq
from PIL import Image
import requests


processor = AutoImageProcessor.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
tokenizer = AutoTokenizer.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
model = ORTModelForVision2Seq.from_pretrained("nlpconnect/vit-gpt2-image-captioning", from_transformers=True)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_to_text = pipeline("image-to-text", model=model, tokenizer=tokenizer, feature_extractor=processor, image_processor=processor)
pred = image_to_text(image)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForVision2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests


<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForVision2Seq.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_to_text = pipeline(<span class="hljs-string">&quot;image-to-text&quot;</span>, model=model, tokenizer=tokenizer, feature_extractor=processor, image_processor=processor)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = image_to_text(image)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),w(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),x(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),T(r,c,v),y=!0},p:C,i(c){y||(b(r.$$.fragment,c),y=!0)},o(c){M(r.$$.fragment,c),y=!1},d(c){c&&t(s),c&&t(n),O(r,c)}}}function yf(j){let s,_,d,u,f,n,r,y,c,v,E,ct,ps,Mo,Xi,ms,Ui,Pa,F,Oo,Wi,ds,Bi,Hi,yo,Qi,cs,Gi,Ji,Ki,us,Yi,Zi,qo,fe,el,hs,tl,ol,gs,nl,sl,fs,rl,al,il,_e,ll,_s,pl,ml,$s,dl,cl,vs,ul,hl,gl,ks,fl,_l,re,jo,$l,ws,vl,kl,wl,Eo,xl,Ro,Tl,bl,Ml,ae,Ol,xs,yl,ql,Ts,jl,El,bs,Rl,Fl,Ms,Sl,Cl,zl,Fo,Pl,Os,Al,Nl,Il,ys,Ll,Dl,ut,So,Vl,qs,Xl,Ul,ht,Co,Wl,zo,Bl,js,Hl,Ql,Gl,gt,Po,Jl,Es,Kl,Yl,ft,Ao,Zl,Rs,ep,Aa,Le,_t,Fs,No,tp,Ss,op,Na,ie,Io,np,Cs,sp,rp,$t,Lo,ap,Do,ip,zs,lp,pp,mp,Q,Vo,dp,De,cp,Ps,up,hp,As,gp,fp,_p,vt,$p,kt,vp,wt,Ia,Ve,xt,Ns,Xo,kp,Is,wp,La,N,Uo,xp,Ls,Tp,bp,Wo,Mp,Ds,Op,yp,qp,Vs,jp,Ep,G,Bo,Rp,Xe,Fp,Xs,Sp,Cp,Us,zp,Pp,Ap,Tt,Np,bt,Ip,Mt,Da,Ue,Ot,Ws,Ho,Lp,Bs,Dp,Va,I,Qo,Vp,Hs,Xp,Up,Go,Wp,Qs,Bp,Hp,Qp,Gs,Gp,Jp,J,Jo,Kp,We,Yp,Js,Zp,em,Ks,tm,om,nm,yt,sm,qt,rm,jt,Xa,Be,Et,Ys,Ko,am,Zs,im,Ua,L,Yo,lm,er,pm,mm,Zo,dm,tr,cm,um,hm,or,gm,fm,K,en,_m,He,$m,nr,vm,km,sr,wm,xm,Tm,Rt,bm,Ft,Mm,St,Wa,Qe,Ct,rr,tn,Om,ar,ym,Ba,D,on,qm,ir,jm,Em,nn,Rm,lr,Fm,Sm,Cm,pr,zm,Pm,Y,sn,Am,Ge,Nm,mr,Im,Lm,dr,Dm,Vm,Xm,zt,Um,Pt,Wm,At,Ha,Je,Nt,cr,rn,Bm,ur,Hm,Qa,V,an,Qm,hr,Gm,Jm,ln,Km,gr,Ym,Zm,ed,fr,td,od,he,pn,nd,Ke,sd,_r,rd,ad,$r,id,ld,pd,It,md,Lt,Ga,Ye,Dt,vr,mn,dd,kr,cd,Ja,X,dn,ud,wr,hd,gd,cn,fd,xr,_d,$d,vd,Tr,kd,wd,Z,un,xd,Ze,Td,br,bd,Md,Mr,Od,yd,qd,Vt,jd,Xt,Ed,Ut,Ka,et,Wt,Or,hn,Rd,yr,Fd,Ya,U,gn,Sd,qr,Cd,zd,fn,Pd,jr,Ad,Nd,Id,Er,Ld,Dd,ee,_n,Vd,tt,Xd,Rr,Ud,Wd,Fr,Bd,Hd,Qd,Bt,Gd,Ht,Jd,Qt,Za,ot,Gt,Sr,$n,Kd,Cr,Yd,ei,le,vn,Zd,zr,ec,tc,Jt,kn,oc,wn,nc,Pr,sc,rc,ac,te,xn,ic,nt,lc,Ar,pc,mc,Nr,dc,cc,uc,Kt,hc,Yt,gc,Zt,ti,st,eo,Ir,Tn,fc,Lr,_c,oi,W,bn,$c,Dr,vc,kc,Mn,wc,Vr,xc,Tc,bc,Xr,Mc,Oc,A,On,yc,rt,qc,Ur,jc,Ec,Wr,Rc,Fc,Sc,to,Cc,oo,zc,no,Pc,so,ni,at,ro,Br,yn,Ac,Hr,Nc,si,pe,qn,Ic,Qr,Lc,Dc,ao,jn,Vc,En,Xc,Gr,Uc,Wc,Bc,oe,Rn,Hc,it,Qc,Jr,Gc,Jc,Kr,Kc,Yc,Zc,io,eu,lo,tu,po,ri,lt,mo,Yr,Fn,ou,Zr,nu,ai,B,Sn,su,ea,ru,au,Cn,iu,ta,lu,pu,mu,oa,du,cu,ne,zn,uu,pt,hu,na,gu,fu,sa,_u,$u,vu,co,ku,uo,wu,ho,ii,mt,go,ra,Pn,xu,aa,Tu,li,me,An,bu,ia,Mu,Ou,fo,Nn,yu,In,qu,la,ju,Eu,Ru,se,Ln,Fu,dt,Su,pa,Cu,zu,ma,Pu,Au,Nu,_o,Iu,$o,Lu,vo,pi;return n=new H({}),Mo=new H({}),Oo=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L129"}}),So=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L576",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Co=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L304"}}),Po=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L169"}}),Ao=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L271",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),No=new H({}),Io=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_cache",val:": bool = True"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L570"}}),Lo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForCausalLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L642"}}),Vo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L578"}}),vt=new ue({props:{$$slots:{default:[Dg]},$$scope:{ctx:j}}}),kt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Vg]},$$scope:{ctx:j}}}),wt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Xg]},$$scope:{ctx:j}}}),Xo=new H({}),Uo=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1587"}}),Bo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1592"}}),Tt=new ue({props:{$$slots:{default:[Ug]},$$scope:{ctx:j}}}),bt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Wg]},$$scope:{ctx:j}}}),Mt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Bg]},$$scope:{ctx:j}}}),Ho=new H({}),Qo=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L823"}}),Jo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L830"}}),yt=new ue({props:{$$slots:{default:[Hg]},$$scope:{ctx:j}}}),qt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[Qg]},$$scope:{ctx:j}}}),jt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Gg]},$$scope:{ctx:j}}}),Ko=new H({}),Yo=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1399"}}),en=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1406"}}),Rt=new ue({props:{$$slots:{default:[Jg]},$$scope:{ctx:j}}}),Ft=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[Kg]},$$scope:{ctx:j}}}),St=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[Yg]},$$scope:{ctx:j}}}),tn=new H({}),on=new R({props:{name:"class optimum.onnxruntime.ORTModelForMaskedLM",anchor:"optimum.onnxruntime.ORTModelForMaskedLM",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L917"}}),sn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L924"}}),zt=new ue({props:{$$slots:{default:[Zg]},$$scope:{ctx:j}}}),Pt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example",$$slots:{default:[ef]},$$scope:{ctx:j}}}),At=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example-2",$$slots:{default:[tf]},$$scope:{ctx:j}}}),rn=new H({}),an=new R({props:{name:"class optimum.onnxruntime.ORTModelForMultipleChoice",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1303"}}),pn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1310"}}),It=new ue({props:{$$slots:{default:[of]},$$scope:{ctx:j}}}),Lt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.example",$$slots:{default:[nf]},$$scope:{ctx:j}}}),mn=new H({}),dn=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1010"}}),un=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1017"}}),Vt=new ue({props:{$$slots:{default:[sf]},$$scope:{ctx:j}}}),Xt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[rf]},$$scope:{ctx:j}}}),Ut=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[af]},$$scope:{ctx:j}}}),hn=new H({}),gn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1488"}}),_n=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1495"}}),Bt=new ue({props:{$$slots:{default:[lf]},$$scope:{ctx:j}}}),Ht=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[pf]},$$scope:{ctx:j}}}),Qt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[mf]},$$scope:{ctx:j}}}),$n=new H({}),vn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L828"}}),kn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L921"}}),xn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L839"}}),Kt=new ue({props:{$$slots:{default:[df]},$$scope:{ctx:j}}}),Yt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[cf]},$$scope:{ctx:j}}}),Zt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[uf]},$$scope:{ctx:j}}}),Tn=new H({}),bn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1122"}}),On=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1129"}}),to=new ue({props:{$$slots:{default:[hf]},$$scope:{ctx:j}}}),oo=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[gf]},$$scope:{ctx:j}}}),no=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[ff]},$$scope:{ctx:j}}}),so=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[_f]},$$scope:{ctx:j}}}),yn=new H({}),qn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L926"}}),jn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1024"}}),Rn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L947"}}),io=new ue({props:{$$slots:{default:[$f]},$$scope:{ctx:j}}}),lo=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[vf]},$$scope:{ctx:j}}}),po=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[kf]},$$scope:{ctx:j}}}),Fn=new H({}),Sn=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1215"}}),zn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1222"}}),co=new ue({props:{$$slots:{default:[wf]},$$scope:{ctx:j}}}),uo=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[xf]},$$scope:{ctx:j}}}),ho=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[Tf]},$$scope:{ctx:j}}}),Pn=new H({}),An=new R({props:{name:"class optimum.onnxruntime.ORTModelForVision2Seq",anchor:"optimum.onnxruntime.ORTModelForVision2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1029"}}),Nn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForVision2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1150"}}),Ln=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code>) &#x2014;
Features extracted from an Image. This tensor should be of shape
<code>(batch_size, num_channels, height, width)</code>.`,name:"pixel_values"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1072"}}),_o=new ue({props:{$$slots:{default:[bf]},$$scope:{ctx:j}}}),$o=new S({props:{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.example",$$slots:{default:[Mf]},$$scope:{ctx:j}}}),vo=new S({props:{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.example-2",$$slots:{default:[Of]},$$scope:{ctx:j}}}),{c(){s=a("meta"),_=h(),d=a("h1"),u=a("a"),f=a("span"),w(n.$$.fragment),r=h(),y=a("span"),c=p("Models"),v=h(),E=a("h2"),ct=a("a"),ps=a("span"),w(Mo.$$.fragment),Xi=h(),ms=a("span"),Ui=p("ORTModel"),Pa=h(),F=a("div"),w(Oo.$$.fragment),Wi=h(),ds=a("p"),Bi=p("Base class for implementing models using ONNX Runtime."),Hi=h(),yo=a("p"),Qi=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),cs=a("code"),Gi=p("optimum.exporters.onnx"),Ji=p(" toolchain."),Ki=h(),us=a("p"),Yi=p("Class attributes:"),Zi=h(),qo=a("ul"),fe=a("li"),el=p("model_type ("),hs=a("code"),tl=p("str"),ol=p(", "),gs=a("em"),nl=p("optional"),sl=p(", defaults to "),fs=a("code"),rl=p('"onnx_model"'),al=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),il=h(),_e=a("li"),ll=p("auto_model_class ("),_s=a("code"),pl=p("Type"),ml=p(", "),$s=a("em"),dl=p("optional"),cl=p(", defaults to "),vs=a("code"),ul=p("AutoModel"),hl=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),gl=h(),ks=a("p"),fl=p("Common attributes:"),_l=h(),re=a("ul"),jo=a("li"),$l=p("model ("),ws=a("code"),vl=p("ort.InferenceSession"),kl=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),wl=h(),Eo=a("li"),xl=p("config ("),Ro=a("a"),Tl=p("PretrainedConfig"),bl=p(" \u2014 The configuration of the model."),Ml=h(),ae=a("li"),Ol=p("use_io_binding ("),xs=a("code"),yl=p("bool"),ql=p(", "),Ts=a("em"),jl=p("optional"),El=p(", defaults to "),bs=a("code"),Rl=p("True"),Fl=p(") \u2014 Whether to use I/O bindings with "),Ms=a("strong"),Sl=p(`ONNX Runtime
with the CUDAExecutionProvider`),Cl=p(", this can significantly speedup inference depending on the task."),zl=h(),Fo=a("li"),Pl=p("model_save_dir ("),Os=a("code"),Al=p("Path"),Nl=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Il=h(),ys=a("li"),Ll=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Dl=h(),ut=a("div"),w(So.$$.fragment),Vl=h(),qs=a("p"),Xl=p("Instantiate a pretrained model from a pre-trained model configuration."),Ul=h(),ht=a("div"),w(Co.$$.fragment),Wl=h(),zo=a("p"),Bl=p("Loads an ONNX Inference session with a given provider. Default provider is "),js=a("code"),Hl=p("CPUExecutionProvider"),Ql=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Gl=h(),gt=a("div"),w(Po.$$.fragment),Jl=h(),Es=a("p"),Kl=p("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),Yl=h(),ft=a("div"),w(Ao.$$.fragment),Zl=h(),Rs=a("p"),ep=p("Changes the ONNX Runtime provider according to the device."),Aa=h(),Le=a("h2"),_t=a("a"),Fs=a("span"),w(No.$$.fragment),tp=h(),Ss=a("span"),op=p("ORTModelForCausalLM"),Na=h(),ie=a("div"),w(Io.$$.fragment),np=h(),Cs=a("p"),sp=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),rp=h(),$t=a("div"),w(Lo.$$.fragment),ap=h(),Do=a("p"),ip=p("Returns True to validate the check that the model using "),zs=a("code"),lp=p("GenerationMixin.generate()"),pp=p(" can indeed generate."),mp=h(),Q=a("div"),w(Vo.$$.fragment),dp=h(),De=a("p"),cp=p("The "),Ps=a("code"),up=p("ORTModelForCausalLM"),hp=p(" forward method, overrides the "),As=a("code"),gp=p("__call__"),fp=p(" special method."),_p=h(),w(vt.$$.fragment),$p=h(),w(kt.$$.fragment),vp=h(),w(wt.$$.fragment),Ia=h(),Ve=a("h2"),xt=a("a"),Ns=a("span"),w(Xo.$$.fragment),kp=h(),Is=a("span"),wp=p("ORTModelForCustomTasks"),La=h(),N=a("div"),w(Uo.$$.fragment),xp=h(),Ls=a("p"),Tp=p("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),bp=h(),Wo=a("p"),Mp=p("This model inherits from [~"),Ds=a("code"),Op=p("onnxruntime.modeling_ort.ORTModel"),yp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),qp=h(),Vs=a("p"),jp=p("Model for any custom tasks if the ONNX model is stored in a single file."),Ep=h(),G=a("div"),w(Bo.$$.fragment),Rp=h(),Xe=a("p"),Fp=p("The "),Xs=a("code"),Sp=p("ORTModelForCustomTasks"),Cp=p(" forward method, overrides the "),Us=a("code"),zp=p("__call__"),Pp=p(" special method."),Ap=h(),w(Tt.$$.fragment),Np=h(),w(bt.$$.fragment),Ip=h(),w(Mt.$$.fragment),Da=h(),Ue=a("h2"),Ot=a("a"),Ws=a("span"),w(Ho.$$.fragment),Lp=h(),Bs=a("span"),Dp=p("ORTModelForFeatureExtraction"),Va=h(),I=a("div"),w(Qo.$$.fragment),Vp=h(),Hs=a("p"),Xp=p("Onnx Model with a BaseModelOutput for feature-extraction tasks."),Up=h(),Go=a("p"),Wp=p("This model inherits from [~"),Qs=a("code"),Bp=p("onnxruntime.modeling_ort.ORTModel"),Hp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Qp=h(),Gs=a("p"),Gp=p("Feature Extraction model for ONNX."),Jp=h(),J=a("div"),w(Jo.$$.fragment),Kp=h(),We=a("p"),Yp=p("The "),Js=a("code"),Zp=p("ORTModelForFeatureExtraction"),em=p(" forward method, overrides the "),Ks=a("code"),tm=p("__call__"),om=p(" special method."),nm=h(),w(yt.$$.fragment),sm=h(),w(qt.$$.fragment),rm=h(),w(jt.$$.fragment),Xa=h(),Be=a("h2"),Et=a("a"),Ys=a("span"),w(Ko.$$.fragment),am=h(),Zs=a("span"),im=p("ORTModelForImageClassification"),Ua=h(),L=a("div"),w(Yo.$$.fragment),lm=h(),er=a("p"),pm=p("Onnx Model for image-classification tasks."),mm=h(),Zo=a("p"),dm=p("This model inherits from [~"),tr=a("code"),cm=p("onnxruntime.modeling_ort.ORTModel"),um=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),hm=h(),or=a("p"),gm=p("Image Classification model for ONNX."),fm=h(),K=a("div"),w(en.$$.fragment),_m=h(),He=a("p"),$m=p("The "),nr=a("code"),vm=p("ORTModelForImageClassification"),km=p(" forward method, overrides the "),sr=a("code"),wm=p("__call__"),xm=p(" special method."),Tm=h(),w(Rt.$$.fragment),bm=h(),w(Ft.$$.fragment),Mm=h(),w(St.$$.fragment),Wa=h(),Qe=a("h2"),Ct=a("a"),rr=a("span"),w(tn.$$.fragment),Om=h(),ar=a("span"),ym=p("ORTModelForMaskedLM"),Ba=h(),D=a("div"),w(on.$$.fragment),qm=h(),ir=a("p"),jm=p("Onnx Model with a MaskedLMOutput for masked language modeling tasks."),Em=h(),nn=a("p"),Rm=p("This model inherits from [~"),lr=a("code"),Fm=p("onnxruntime.modeling_ort.ORTModel"),Sm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Cm=h(),pr=a("p"),zm=p("Masked language model for ONNX."),Pm=h(),Y=a("div"),w(sn.$$.fragment),Am=h(),Ge=a("p"),Nm=p("The "),mr=a("code"),Im=p("ORTModelForMaskedLM"),Lm=p(" forward method, overrides the "),dr=a("code"),Dm=p("__call__"),Vm=p(" special method."),Xm=h(),w(zt.$$.fragment),Um=h(),w(Pt.$$.fragment),Wm=h(),w(At.$$.fragment),Ha=h(),Je=a("h2"),Nt=a("a"),cr=a("span"),w(rn.$$.fragment),Bm=h(),ur=a("span"),Hm=p("ORTModelForMultipleChoice"),Qa=h(),V=a("div"),w(an.$$.fragment),Qm=h(),hr=a("p"),Gm=p(`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Jm=h(),ln=a("p"),Km=p("This model inherits from [~"),gr=a("code"),Ym=p("onnxruntime.modeling_ort.ORTModel"),Zm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ed=h(),fr=a("p"),td=p("Multiple choice model for ONNX."),od=h(),he=a("div"),w(pn.$$.fragment),nd=h(),Ke=a("p"),sd=p("The "),_r=a("code"),rd=p("ORTModelForMultipleChoice"),ad=p(" forward method, overrides the "),$r=a("code"),id=p("__call__"),ld=p(" special method."),pd=h(),w(It.$$.fragment),md=h(),w(Lt.$$.fragment),Ga=h(),Ye=a("h2"),Dt=a("a"),vr=a("span"),w(mn.$$.fragment),dd=h(),kr=a("span"),cd=p("ORTModelForQuestionAnswering"),Ja=h(),X=a("div"),w(dn.$$.fragment),ud=h(),wr=a("p"),hd=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),gd=h(),cn=a("p"),fd=p("This model inherits from [~"),xr=a("code"),_d=p("onnxruntime.modeling_ort.ORTModel"),$d=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),vd=h(),Tr=a("p"),kd=p("Question Answering model for ONNX."),wd=h(),Z=a("div"),w(un.$$.fragment),xd=h(),Ze=a("p"),Td=p("The "),br=a("code"),bd=p("ORTModelForQuestionAnswering"),Md=p(" forward method, overrides the "),Mr=a("code"),Od=p("__call__"),yd=p(" special method."),qd=h(),w(Vt.$$.fragment),jd=h(),w(Xt.$$.fragment),Ed=h(),w(Ut.$$.fragment),Ka=h(),et=a("h2"),Wt=a("a"),Or=a("span"),w(hn.$$.fragment),Rd=h(),yr=a("span"),Fd=p("ORTModelForSemanticSegmentation"),Ya=h(),U=a("div"),w(gn.$$.fragment),Sd=h(),qr=a("p"),Cd=p("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),zd=h(),fn=a("p"),Pd=p("This model inherits from [~"),jr=a("code"),Ad=p("onnxruntime.modeling_ort.ORTModel"),Nd=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Id=h(),Er=a("p"),Ld=p("Semantic Segmentation model for ONNX."),Dd=h(),ee=a("div"),w(_n.$$.fragment),Vd=h(),tt=a("p"),Xd=p("The "),Rr=a("code"),Ud=p("ORTModelForSemanticSegmentation"),Wd=p(" forward method, overrides the "),Fr=a("code"),Bd=p("__call__"),Hd=p(" special method."),Qd=h(),w(Bt.$$.fragment),Gd=h(),w(Ht.$$.fragment),Jd=h(),w(Qt.$$.fragment),Za=h(),ot=a("h2"),Gt=a("a"),Sr=a("span"),w($n.$$.fragment),Kd=h(),Cr=a("span"),Yd=p("ORTModelForSeq2SeqLM"),ei=h(),le=a("div"),w(vn.$$.fragment),Zd=h(),zr=a("p"),ec=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),tc=h(),Jt=a("div"),w(kn.$$.fragment),oc=h(),wn=a("p"),nc=p("Returns True to validate the check that the model using "),Pr=a("code"),sc=p("GenerationMixin.generate()"),rc=p(" can indeed generate."),ac=h(),te=a("div"),w(xn.$$.fragment),ic=h(),nt=a("p"),lc=p("The "),Ar=a("code"),pc=p("ORTModelForSeq2SeqLM"),mc=p(" forward method, overrides the "),Nr=a("code"),dc=p("__call__"),cc=p(" special method."),uc=h(),w(Kt.$$.fragment),hc=h(),w(Yt.$$.fragment),gc=h(),w(Zt.$$.fragment),ti=h(),st=a("h2"),eo=a("a"),Ir=a("span"),w(Tn.$$.fragment),fc=h(),Lr=a("span"),_c=p("ORTModelForSequenceClassification"),oi=h(),W=a("div"),w(bn.$$.fragment),$c=h(),Dr=a("p"),vc=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),kc=h(),Mn=a("p"),wc=p("This model inherits from [~"),Vr=a("code"),xc=p("onnxruntime.modeling_ort.ORTModel"),Tc=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),bc=h(),Xr=a("p"),Mc=p("Sequence Classification model for ONNX."),Oc=h(),A=a("div"),w(On.$$.fragment),yc=h(),rt=a("p"),qc=p("The "),Ur=a("code"),jc=p("ORTModelForSequenceClassification"),Ec=p(" forward method, overrides the "),Wr=a("code"),Rc=p("__call__"),Fc=p(" special method."),Sc=h(),w(to.$$.fragment),Cc=h(),w(oo.$$.fragment),zc=h(),w(no.$$.fragment),Pc=h(),w(so.$$.fragment),ni=h(),at=a("h2"),ro=a("a"),Br=a("span"),w(yn.$$.fragment),Ac=h(),Hr=a("span"),Nc=p("ORTModelForSpeechSeq2Seq"),si=h(),pe=a("div"),w(qn.$$.fragment),Ic=h(),Qr=a("p"),Lc=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Dc=h(),ao=a("div"),w(jn.$$.fragment),Vc=h(),En=a("p"),Xc=p("Returns True to validate the check that the model using "),Gr=a("code"),Uc=p("GenerationMixin.generate()"),Wc=p(" can indeed generate."),Bc=h(),oe=a("div"),w(Rn.$$.fragment),Hc=h(),it=a("p"),Qc=p("The "),Jr=a("code"),Gc=p("ORTModelForSpeechSeq2Seq"),Jc=p(" forward method, overrides the "),Kr=a("code"),Kc=p("__call__"),Yc=p(" special method."),Zc=h(),w(io.$$.fragment),eu=h(),w(lo.$$.fragment),tu=h(),w(po.$$.fragment),ri=h(),lt=a("h2"),mo=a("a"),Yr=a("span"),w(Fn.$$.fragment),ou=h(),Zr=a("span"),nu=p("ORTModelForTokenClassification"),ai=h(),B=a("div"),w(Sn.$$.fragment),su=h(),ea=a("p"),ru=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),au=h(),Cn=a("p"),iu=p("This model inherits from [~"),ta=a("code"),lu=p("onnxruntime.modeling_ort.ORTModel"),pu=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),mu=h(),oa=a("p"),du=p("Token Classification model for ONNX."),cu=h(),ne=a("div"),w(zn.$$.fragment),uu=h(),pt=a("p"),hu=p("The "),na=a("code"),gu=p("ORTModelForTokenClassification"),fu=p(" forward method, overrides the "),sa=a("code"),_u=p("__call__"),$u=p(" special method."),vu=h(),w(co.$$.fragment),ku=h(),w(uo.$$.fragment),wu=h(),w(ho.$$.fragment),ii=h(),mt=a("h2"),go=a("a"),ra=a("span"),w(Pn.$$.fragment),xu=h(),aa=a("span"),Tu=p("ORTModelForVision2Seq"),li=h(),me=a("div"),w(An.$$.fragment),bu=h(),ia=a("p"),Mu=p("VisionEncoderDecoder Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Ou=h(),fo=a("div"),w(Nn.$$.fragment),yu=h(),In=a("p"),qu=p("Returns True to validate the check that the model using "),la=a("code"),ju=p("GenerationMixin.generate()"),Eu=p(" can indeed generate."),Ru=h(),se=a("div"),w(Ln.$$.fragment),Fu=h(),dt=a("p"),Su=p("The "),pa=a("code"),Cu=p("ORTModelForVision2Seq"),zu=p(" forward method, overrides the "),ma=a("code"),Pu=p("__call__"),Au=p(" special method."),Nu=h(),w(_o.$$.fragment),Iu=h(),w($o.$$.fragment),Lu=h(),w(vo.$$.fragment),this.h()},l(o){const $=Ig('[data-svelte="svelte-1phssyn"]',document.head);s=i($,"META",{name:!0,content:!0}),$.forEach(t),_=g(o),d=i(o,"H1",{class:!0});var Dn=l(d);u=i(Dn,"A",{id:!0,class:!0,href:!0});var da=l(u);f=i(da,"SPAN",{});var ca=l(f);x(n.$$.fragment,ca),ca.forEach(t),da.forEach(t),r=g(Dn),y=i(Dn,"SPAN",{});var ua=l(y);c=m(ua,"Models"),ua.forEach(t),Dn.forEach(t),v=g(o),E=i(o,"H2",{class:!0});var Vn=l(E);ct=i(Vn,"A",{id:!0,class:!0,href:!0});var ha=l(ct);ps=i(ha,"SPAN",{});var ga=l(ps);x(Mo.$$.fragment,ga),ga.forEach(t),ha.forEach(t),Xi=g(Vn),ms=i(Vn,"SPAN",{});var fa=l(ms);Ui=m(fa,"ORTModel"),fa.forEach(t),Vn.forEach(t),Pa=g(o),F=i(o,"DIV",{class:!0});var P=l(F);x(Oo.$$.fragment,P),Wi=g(P),ds=i(P,"P",{});var _a=l(ds);Bi=m(_a,"Base class for implementing models using ONNX Runtime."),_a.forEach(t),Hi=g(P),yo=i(P,"P",{});var Xn=l(yo);Qi=m(Xn,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),cs=i(Xn,"CODE",{});var $a=l(cs);Gi=m($a,"optimum.exporters.onnx"),$a.forEach(t),Ji=m(Xn," toolchain."),Xn.forEach(t),Ki=g(P),us=i(P,"P",{});var va=l(us);Yi=m(va,"Class attributes:"),va.forEach(t),Zi=g(P),qo=i(P,"UL",{});var Un=l(qo);fe=i(Un,"LI",{});var $e=l(fe);el=m($e,"model_type ("),hs=i($e,"CODE",{});var ka=l(hs);tl=m(ka,"str"),ka.forEach(t),ol=m($e,", "),gs=i($e,"EM",{});var wa=l(gs);nl=m(wa,"optional"),wa.forEach(t),sl=m($e,", defaults to "),fs=i($e,"CODE",{});var xa=l(fs);rl=m(xa,'"onnx_model"'),xa.forEach(t),al=m($e,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),$e.forEach(t),il=g(Un),_e=i(Un,"LI",{});var ve=l(_e);ll=m(ve,"auto_model_class ("),_s=i(ve,"CODE",{});var Ta=l(_s);pl=m(Ta,"Type"),Ta.forEach(t),ml=m(ve,", "),$s=i(ve,"EM",{});var ba=l($s);dl=m(ba,"optional"),ba.forEach(t),cl=m(ve,", defaults to "),vs=i(ve,"CODE",{});var Ma=l(vs);ul=m(Ma,"AutoModel"),Ma.forEach(t),hl=m(ve,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ve.forEach(t),Un.forEach(t),gl=g(P),ks=i(P,"P",{});var Oa=l(ks);fl=m(Oa,"Common attributes:"),Oa.forEach(t),_l=g(P),re=i(P,"UL",{});var de=l(re);jo=i(de,"LI",{});var Wn=l(jo);$l=m(Wn,"model ("),ws=i(Wn,"CODE",{});var ya=l(ws);vl=m(ya,"ort.InferenceSession"),ya.forEach(t),kl=m(Wn,") \u2014 The ONNX Runtime InferenceSession that is running the model."),Wn.forEach(t),wl=g(de),Eo=i(de,"LI",{});var Bn=l(Eo);xl=m(Bn,"config ("),Ro=i(Bn,"A",{href:!0,rel:!0});var qa=l(Ro);Tl=m(qa,"PretrainedConfig"),qa.forEach(t),bl=m(Bn," \u2014 The configuration of the model."),Bn.forEach(t),Ml=g(de),ae=i(de,"LI",{});var ce=l(ae);Ol=m(ce,"use_io_binding ("),xs=i(ce,"CODE",{});var ja=l(xs);yl=m(ja,"bool"),ja.forEach(t),ql=m(ce,", "),Ts=i(ce,"EM",{});var Ea=l(Ts);jl=m(Ea,"optional"),Ea.forEach(t),El=m(ce,", defaults to "),bs=i(ce,"CODE",{});var Ra=l(bs);Rl=m(Ra,"True"),Ra.forEach(t),Fl=m(ce,") \u2014 Whether to use I/O bindings with "),Ms=i(ce,"STRONG",{});var Fa=l(Ms);Sl=m(Fa,`ONNX Runtime
with the CUDAExecutionProvider`),Fa.forEach(t),Cl=m(ce,", this can significantly speedup inference depending on the task."),ce.forEach(t),zl=g(de),Fo=i(de,"LI",{});var Hn=l(Fo);Pl=m(Hn,"model_save_dir ("),Os=i(Hn,"CODE",{});var Sa=l(Os);Al=m(Sa,"Path"),Sa.forEach(t),Nl=m(Hn,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Hn.forEach(t),Il=g(de),ys=i(de,"LI",{});var Ca=l(ys);Ll=m(Ca,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Ca.forEach(t),de.forEach(t),Dl=g(P),ut=i(P,"DIV",{class:!0});var Qn=l(ut);x(So.$$.fragment,Qn),Vl=g(Qn),qs=i(Qn,"P",{});var za=l(qs);Xl=m(za,"Instantiate a pretrained model from a pre-trained model configuration."),za.forEach(t),Qn.forEach(t),Ul=g(P),ht=i(P,"DIV",{class:!0});var Gn=l(ht);x(Co.$$.fragment,Gn),Wl=g(Gn),zo=i(Gn,"P",{});var mi=l(zo);Bl=m(mi,"Loads an ONNX Inference session with a given provider. Default provider is "),js=i(mi,"CODE",{});var Du=l(js);Hl=m(Du,"CPUExecutionProvider"),Du.forEach(t),Ql=m(mi,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),mi.forEach(t),Gn.forEach(t),Gl=g(P),gt=i(P,"DIV",{class:!0});var di=l(gt);x(Po.$$.fragment,di),Jl=g(di),Es=i(di,"P",{});var Vu=l(Es);Kl=m(Vu,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),Vu.forEach(t),di.forEach(t),Yl=g(P),ft=i(P,"DIV",{class:!0});var ci=l(ft);x(Ao.$$.fragment,ci),Zl=g(ci),Rs=i(ci,"P",{});var Xu=l(Rs);ep=m(Xu,"Changes the ONNX Runtime provider according to the device."),Xu.forEach(t),ci.forEach(t),P.forEach(t),Aa=g(o),Le=i(o,"H2",{class:!0});var ui=l(Le);_t=i(ui,"A",{id:!0,class:!0,href:!0});var Uu=l(_t);Fs=i(Uu,"SPAN",{});var Wu=l(Fs);x(No.$$.fragment,Wu),Wu.forEach(t),Uu.forEach(t),tp=g(ui),Ss=i(ui,"SPAN",{});var Bu=l(Ss);op=m(Bu,"ORTModelForCausalLM"),Bu.forEach(t),ui.forEach(t),Na=g(o),ie=i(o,"DIV",{class:!0});var ko=l(ie);x(Io.$$.fragment,ko),np=g(ko),Cs=i(ko,"P",{});var Hu=l(Cs);sp=m(Hu,"ONNX model with a causal language modeling head for ONNX Runtime inference."),Hu.forEach(t),rp=g(ko),$t=i(ko,"DIV",{class:!0});var hi=l($t);x(Lo.$$.fragment,hi),ap=g(hi),Do=i(hi,"P",{});var gi=l(Do);ip=m(gi,"Returns True to validate the check that the model using "),zs=i(gi,"CODE",{});var Qu=l(zs);lp=m(Qu,"GenerationMixin.generate()"),Qu.forEach(t),pp=m(gi," can indeed generate."),gi.forEach(t),hi.forEach(t),mp=g(ko),Q=i(ko,"DIV",{class:!0});var ke=l(Q);x(Vo.$$.fragment,ke),dp=g(ke),De=i(ke,"P",{});var Jn=l(De);cp=m(Jn,"The "),Ps=i(Jn,"CODE",{});var Gu=l(Ps);up=m(Gu,"ORTModelForCausalLM"),Gu.forEach(t),hp=m(Jn," forward method, overrides the "),As=i(Jn,"CODE",{});var Ju=l(As);gp=m(Ju,"__call__"),Ju.forEach(t),fp=m(Jn," special method."),Jn.forEach(t),_p=g(ke),x(vt.$$.fragment,ke),$p=g(ke),x(kt.$$.fragment,ke),vp=g(ke),x(wt.$$.fragment,ke),ke.forEach(t),ko.forEach(t),Ia=g(o),Ve=i(o,"H2",{class:!0});var fi=l(Ve);xt=i(fi,"A",{id:!0,class:!0,href:!0});var Ku=l(xt);Ns=i(Ku,"SPAN",{});var Yu=l(Ns);x(Xo.$$.fragment,Yu),Yu.forEach(t),Ku.forEach(t),kp=g(fi),Is=i(fi,"SPAN",{});var Zu=l(Is);wp=m(Zu,"ORTModelForCustomTasks"),Zu.forEach(t),fi.forEach(t),La=g(o),N=i(o,"DIV",{class:!0});var we=l(N);x(Uo.$$.fragment,we),xp=g(we),Ls=i(we,"P",{});var eh=l(Ls);Tp=m(eh,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),eh.forEach(t),bp=g(we),Wo=i(we,"P",{});var _i=l(Wo);Mp=m(_i,"This model inherits from [~"),Ds=i(_i,"CODE",{});var th=l(Ds);Op=m(th,"onnxruntime.modeling_ort.ORTModel"),th.forEach(t),yp=m(_i,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),_i.forEach(t),qp=g(we),Vs=i(we,"P",{});var oh=l(Vs);jp=m(oh,"Model for any custom tasks if the ONNX model is stored in a single file."),oh.forEach(t),Ep=g(we),G=i(we,"DIV",{class:!0});var xe=l(G);x(Bo.$$.fragment,xe),Rp=g(xe),Xe=i(xe,"P",{});var Kn=l(Xe);Fp=m(Kn,"The "),Xs=i(Kn,"CODE",{});var nh=l(Xs);Sp=m(nh,"ORTModelForCustomTasks"),nh.forEach(t),Cp=m(Kn," forward method, overrides the "),Us=i(Kn,"CODE",{});var sh=l(Us);zp=m(sh,"__call__"),sh.forEach(t),Pp=m(Kn," special method."),Kn.forEach(t),Ap=g(xe),x(Tt.$$.fragment,xe),Np=g(xe),x(bt.$$.fragment,xe),Ip=g(xe),x(Mt.$$.fragment,xe),xe.forEach(t),we.forEach(t),Da=g(o),Ue=i(o,"H2",{class:!0});var $i=l(Ue);Ot=i($i,"A",{id:!0,class:!0,href:!0});var rh=l(Ot);Ws=i(rh,"SPAN",{});var ah=l(Ws);x(Ho.$$.fragment,ah),ah.forEach(t),rh.forEach(t),Lp=g($i),Bs=i($i,"SPAN",{});var ih=l(Bs);Dp=m(ih,"ORTModelForFeatureExtraction"),ih.forEach(t),$i.forEach(t),Va=g(o),I=i(o,"DIV",{class:!0});var Te=l(I);x(Qo.$$.fragment,Te),Vp=g(Te),Hs=i(Te,"P",{});var lh=l(Hs);Xp=m(lh,"Onnx Model with a BaseModelOutput for feature-extraction tasks."),lh.forEach(t),Up=g(Te),Go=i(Te,"P",{});var vi=l(Go);Wp=m(vi,"This model inherits from [~"),Qs=i(vi,"CODE",{});var ph=l(Qs);Bp=m(ph,"onnxruntime.modeling_ort.ORTModel"),ph.forEach(t),Hp=m(vi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),vi.forEach(t),Qp=g(Te),Gs=i(Te,"P",{});var mh=l(Gs);Gp=m(mh,"Feature Extraction model for ONNX."),mh.forEach(t),Jp=g(Te),J=i(Te,"DIV",{class:!0});var be=l(J);x(Jo.$$.fragment,be),Kp=g(be),We=i(be,"P",{});var Yn=l(We);Yp=m(Yn,"The "),Js=i(Yn,"CODE",{});var dh=l(Js);Zp=m(dh,"ORTModelForFeatureExtraction"),dh.forEach(t),em=m(Yn," forward method, overrides the "),Ks=i(Yn,"CODE",{});var ch=l(Ks);tm=m(ch,"__call__"),ch.forEach(t),om=m(Yn," special method."),Yn.forEach(t),nm=g(be),x(yt.$$.fragment,be),sm=g(be),x(qt.$$.fragment,be),rm=g(be),x(jt.$$.fragment,be),be.forEach(t),Te.forEach(t),Xa=g(o),Be=i(o,"H2",{class:!0});var ki=l(Be);Et=i(ki,"A",{id:!0,class:!0,href:!0});var uh=l(Et);Ys=i(uh,"SPAN",{});var hh=l(Ys);x(Ko.$$.fragment,hh),hh.forEach(t),uh.forEach(t),am=g(ki),Zs=i(ki,"SPAN",{});var gh=l(Zs);im=m(gh,"ORTModelForImageClassification"),gh.forEach(t),ki.forEach(t),Ua=g(o),L=i(o,"DIV",{class:!0});var Me=l(L);x(Yo.$$.fragment,Me),lm=g(Me),er=i(Me,"P",{});var fh=l(er);pm=m(fh,"Onnx Model for image-classification tasks."),fh.forEach(t),mm=g(Me),Zo=i(Me,"P",{});var wi=l(Zo);dm=m(wi,"This model inherits from [~"),tr=i(wi,"CODE",{});var _h=l(tr);cm=m(_h,"onnxruntime.modeling_ort.ORTModel"),_h.forEach(t),um=m(wi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),wi.forEach(t),hm=g(Me),or=i(Me,"P",{});var $h=l(or);gm=m($h,"Image Classification model for ONNX."),$h.forEach(t),fm=g(Me),K=i(Me,"DIV",{class:!0});var Oe=l(K);x(en.$$.fragment,Oe),_m=g(Oe),He=i(Oe,"P",{});var Zn=l(He);$m=m(Zn,"The "),nr=i(Zn,"CODE",{});var vh=l(nr);vm=m(vh,"ORTModelForImageClassification"),vh.forEach(t),km=m(Zn," forward method, overrides the "),sr=i(Zn,"CODE",{});var kh=l(sr);wm=m(kh,"__call__"),kh.forEach(t),xm=m(Zn," special method."),Zn.forEach(t),Tm=g(Oe),x(Rt.$$.fragment,Oe),bm=g(Oe),x(Ft.$$.fragment,Oe),Mm=g(Oe),x(St.$$.fragment,Oe),Oe.forEach(t),Me.forEach(t),Wa=g(o),Qe=i(o,"H2",{class:!0});var xi=l(Qe);Ct=i(xi,"A",{id:!0,class:!0,href:!0});var wh=l(Ct);rr=i(wh,"SPAN",{});var xh=l(rr);x(tn.$$.fragment,xh),xh.forEach(t),wh.forEach(t),Om=g(xi),ar=i(xi,"SPAN",{});var Th=l(ar);ym=m(Th,"ORTModelForMaskedLM"),Th.forEach(t),xi.forEach(t),Ba=g(o),D=i(o,"DIV",{class:!0});var ye=l(D);x(on.$$.fragment,ye),qm=g(ye),ir=i(ye,"P",{});var bh=l(ir);jm=m(bh,"Onnx Model with a MaskedLMOutput for masked language modeling tasks."),bh.forEach(t),Em=g(ye),nn=i(ye,"P",{});var Ti=l(nn);Rm=m(Ti,"This model inherits from [~"),lr=i(Ti,"CODE",{});var Mh=l(lr);Fm=m(Mh,"onnxruntime.modeling_ort.ORTModel"),Mh.forEach(t),Sm=m(Ti,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ti.forEach(t),Cm=g(ye),pr=i(ye,"P",{});var Oh=l(pr);zm=m(Oh,"Masked language model for ONNX."),Oh.forEach(t),Pm=g(ye),Y=i(ye,"DIV",{class:!0});var qe=l(Y);x(sn.$$.fragment,qe),Am=g(qe),Ge=i(qe,"P",{});var es=l(Ge);Nm=m(es,"The "),mr=i(es,"CODE",{});var yh=l(mr);Im=m(yh,"ORTModelForMaskedLM"),yh.forEach(t),Lm=m(es," forward method, overrides the "),dr=i(es,"CODE",{});var qh=l(dr);Dm=m(qh,"__call__"),qh.forEach(t),Vm=m(es," special method."),es.forEach(t),Xm=g(qe),x(zt.$$.fragment,qe),Um=g(qe),x(Pt.$$.fragment,qe),Wm=g(qe),x(At.$$.fragment,qe),qe.forEach(t),ye.forEach(t),Ha=g(o),Je=i(o,"H2",{class:!0});var bi=l(Je);Nt=i(bi,"A",{id:!0,class:!0,href:!0});var jh=l(Nt);cr=i(jh,"SPAN",{});var Eh=l(cr);x(rn.$$.fragment,Eh),Eh.forEach(t),jh.forEach(t),Bm=g(bi),ur=i(bi,"SPAN",{});var Rh=l(ur);Hm=m(Rh,"ORTModelForMultipleChoice"),Rh.forEach(t),bi.forEach(t),Qa=g(o),V=i(o,"DIV",{class:!0});var je=l(V);x(an.$$.fragment,je),Qm=g(je),hr=i(je,"P",{});var Fh=l(hr);Gm=m(Fh,`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Fh.forEach(t),Jm=g(je),ln=i(je,"P",{});var Mi=l(ln);Km=m(Mi,"This model inherits from [~"),gr=i(Mi,"CODE",{});var Sh=l(gr);Ym=m(Sh,"onnxruntime.modeling_ort.ORTModel"),Sh.forEach(t),Zm=m(Mi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Mi.forEach(t),ed=g(je),fr=i(je,"P",{});var Ch=l(fr);td=m(Ch,"Multiple choice model for ONNX."),Ch.forEach(t),od=g(je),he=i(je,"DIV",{class:!0});var wo=l(he);x(pn.$$.fragment,wo),nd=g(wo),Ke=i(wo,"P",{});var ts=l(Ke);sd=m(ts,"The "),_r=i(ts,"CODE",{});var zh=l(_r);rd=m(zh,"ORTModelForMultipleChoice"),zh.forEach(t),ad=m(ts," forward method, overrides the "),$r=i(ts,"CODE",{});var Ph=l($r);id=m(Ph,"__call__"),Ph.forEach(t),ld=m(ts," special method."),ts.forEach(t),pd=g(wo),x(It.$$.fragment,wo),md=g(wo),x(Lt.$$.fragment,wo),wo.forEach(t),je.forEach(t),Ga=g(o),Ye=i(o,"H2",{class:!0});var Oi=l(Ye);Dt=i(Oi,"A",{id:!0,class:!0,href:!0});var Ah=l(Dt);vr=i(Ah,"SPAN",{});var Nh=l(vr);x(mn.$$.fragment,Nh),Nh.forEach(t),Ah.forEach(t),dd=g(Oi),kr=i(Oi,"SPAN",{});var Ih=l(kr);cd=m(Ih,"ORTModelForQuestionAnswering"),Ih.forEach(t),Oi.forEach(t),Ja=g(o),X=i(o,"DIV",{class:!0});var Ee=l(X);x(dn.$$.fragment,Ee),ud=g(Ee),wr=i(Ee,"P",{});var Lh=l(wr);hd=m(Lh,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Lh.forEach(t),gd=g(Ee),cn=i(Ee,"P",{});var yi=l(cn);fd=m(yi,"This model inherits from [~"),xr=i(yi,"CODE",{});var Dh=l(xr);_d=m(Dh,"onnxruntime.modeling_ort.ORTModel"),Dh.forEach(t),$d=m(yi,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),yi.forEach(t),vd=g(Ee),Tr=i(Ee,"P",{});var Vh=l(Tr);kd=m(Vh,"Question Answering model for ONNX."),Vh.forEach(t),wd=g(Ee),Z=i(Ee,"DIV",{class:!0});var Re=l(Z);x(un.$$.fragment,Re),xd=g(Re),Ze=i(Re,"P",{});var os=l(Ze);Td=m(os,"The "),br=i(os,"CODE",{});var Xh=l(br);bd=m(Xh,"ORTModelForQuestionAnswering"),Xh.forEach(t),Md=m(os," forward method, overrides the "),Mr=i(os,"CODE",{});var Uh=l(Mr);Od=m(Uh,"__call__"),Uh.forEach(t),yd=m(os," special method."),os.forEach(t),qd=g(Re),x(Vt.$$.fragment,Re),jd=g(Re),x(Xt.$$.fragment,Re),Ed=g(Re),x(Ut.$$.fragment,Re),Re.forEach(t),Ee.forEach(t),Ka=g(o),et=i(o,"H2",{class:!0});var qi=l(et);Wt=i(qi,"A",{id:!0,class:!0,href:!0});var Wh=l(Wt);Or=i(Wh,"SPAN",{});var Bh=l(Or);x(hn.$$.fragment,Bh),Bh.forEach(t),Wh.forEach(t),Rd=g(qi),yr=i(qi,"SPAN",{});var Hh=l(yr);Fd=m(Hh,"ORTModelForSemanticSegmentation"),Hh.forEach(t),qi.forEach(t),Ya=g(o),U=i(o,"DIV",{class:!0});var Fe=l(U);x(gn.$$.fragment,Fe),Sd=g(Fe),qr=i(Fe,"P",{});var Qh=l(qr);Cd=m(Qh,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Qh.forEach(t),zd=g(Fe),fn=i(Fe,"P",{});var ji=l(fn);Pd=m(ji,"This model inherits from [~"),jr=i(ji,"CODE",{});var Gh=l(jr);Ad=m(Gh,"onnxruntime.modeling_ort.ORTModel"),Gh.forEach(t),Nd=m(ji,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ji.forEach(t),Id=g(Fe),Er=i(Fe,"P",{});var Jh=l(Er);Ld=m(Jh,"Semantic Segmentation model for ONNX."),Jh.forEach(t),Dd=g(Fe),ee=i(Fe,"DIV",{class:!0});var Se=l(ee);x(_n.$$.fragment,Se),Vd=g(Se),tt=i(Se,"P",{});var ns=l(tt);Xd=m(ns,"The "),Rr=i(ns,"CODE",{});var Kh=l(Rr);Ud=m(Kh,"ORTModelForSemanticSegmentation"),Kh.forEach(t),Wd=m(ns," forward method, overrides the "),Fr=i(ns,"CODE",{});var Yh=l(Fr);Bd=m(Yh,"__call__"),Yh.forEach(t),Hd=m(ns," special method."),ns.forEach(t),Qd=g(Se),x(Bt.$$.fragment,Se),Gd=g(Se),x(Ht.$$.fragment,Se),Jd=g(Se),x(Qt.$$.fragment,Se),Se.forEach(t),Fe.forEach(t),Za=g(o),ot=i(o,"H2",{class:!0});var Ei=l(ot);Gt=i(Ei,"A",{id:!0,class:!0,href:!0});var Zh=l(Gt);Sr=i(Zh,"SPAN",{});var eg=l(Sr);x($n.$$.fragment,eg),eg.forEach(t),Zh.forEach(t),Kd=g(Ei),Cr=i(Ei,"SPAN",{});var tg=l(Cr);Yd=m(tg,"ORTModelForSeq2SeqLM"),tg.forEach(t),Ei.forEach(t),ei=g(o),le=i(o,"DIV",{class:!0});var xo=l(le);x(vn.$$.fragment,xo),Zd=g(xo),zr=i(xo,"P",{});var og=l(zr);ec=m(og,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),og.forEach(t),tc=g(xo),Jt=i(xo,"DIV",{class:!0});var Ri=l(Jt);x(kn.$$.fragment,Ri),oc=g(Ri),wn=i(Ri,"P",{});var Fi=l(wn);nc=m(Fi,"Returns True to validate the check that the model using "),Pr=i(Fi,"CODE",{});var ng=l(Pr);sc=m(ng,"GenerationMixin.generate()"),ng.forEach(t),rc=m(Fi," can indeed generate."),Fi.forEach(t),Ri.forEach(t),ac=g(xo),te=i(xo,"DIV",{class:!0});var Ce=l(te);x(xn.$$.fragment,Ce),ic=g(Ce),nt=i(Ce,"P",{});var ss=l(nt);lc=m(ss,"The "),Ar=i(ss,"CODE",{});var sg=l(Ar);pc=m(sg,"ORTModelForSeq2SeqLM"),sg.forEach(t),mc=m(ss," forward method, overrides the "),Nr=i(ss,"CODE",{});var rg=l(Nr);dc=m(rg,"__call__"),rg.forEach(t),cc=m(ss," special method."),ss.forEach(t),uc=g(Ce),x(Kt.$$.fragment,Ce),hc=g(Ce),x(Yt.$$.fragment,Ce),gc=g(Ce),x(Zt.$$.fragment,Ce),Ce.forEach(t),xo.forEach(t),ti=g(o),st=i(o,"H2",{class:!0});var Si=l(st);eo=i(Si,"A",{id:!0,class:!0,href:!0});var ag=l(eo);Ir=i(ag,"SPAN",{});var ig=l(Ir);x(Tn.$$.fragment,ig),ig.forEach(t),ag.forEach(t),fc=g(Si),Lr=i(Si,"SPAN",{});var lg=l(Lr);_c=m(lg,"ORTModelForSequenceClassification"),lg.forEach(t),Si.forEach(t),oi=g(o),W=i(o,"DIV",{class:!0});var ze=l(W);x(bn.$$.fragment,ze),$c=g(ze),Dr=i(ze,"P",{});var pg=l(Dr);vc=m(pg,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),pg.forEach(t),kc=g(ze),Mn=i(ze,"P",{});var Ci=l(Mn);wc=m(Ci,"This model inherits from [~"),Vr=i(Ci,"CODE",{});var mg=l(Vr);xc=m(mg,"onnxruntime.modeling_ort.ORTModel"),mg.forEach(t),Tc=m(Ci,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ci.forEach(t),bc=g(ze),Xr=i(ze,"P",{});var dg=l(Xr);Mc=m(dg,"Sequence Classification model for ONNX."),dg.forEach(t),Oc=g(ze),A=i(ze,"DIV",{class:!0});var ge=l(A);x(On.$$.fragment,ge),yc=g(ge),rt=i(ge,"P",{});var rs=l(rt);qc=m(rs,"The "),Ur=i(rs,"CODE",{});var cg=l(Ur);jc=m(cg,"ORTModelForSequenceClassification"),cg.forEach(t),Ec=m(rs," forward method, overrides the "),Wr=i(rs,"CODE",{});var ug=l(Wr);Rc=m(ug,"__call__"),ug.forEach(t),Fc=m(rs," special method."),rs.forEach(t),Sc=g(ge),x(to.$$.fragment,ge),Cc=g(ge),x(oo.$$.fragment,ge),zc=g(ge),x(no.$$.fragment,ge),Pc=g(ge),x(so.$$.fragment,ge),ge.forEach(t),ze.forEach(t),ni=g(o),at=i(o,"H2",{class:!0});var zi=l(at);ro=i(zi,"A",{id:!0,class:!0,href:!0});var hg=l(ro);Br=i(hg,"SPAN",{});var gg=l(Br);x(yn.$$.fragment,gg),gg.forEach(t),hg.forEach(t),Ac=g(zi),Hr=i(zi,"SPAN",{});var fg=l(Hr);Nc=m(fg,"ORTModelForSpeechSeq2Seq"),fg.forEach(t),zi.forEach(t),si=g(o),pe=i(o,"DIV",{class:!0});var To=l(pe);x(qn.$$.fragment,To),Ic=g(To),Qr=i(To,"P",{});var _g=l(Qr);Lc=m(_g,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),_g.forEach(t),Dc=g(To),ao=i(To,"DIV",{class:!0});var Pi=l(ao);x(jn.$$.fragment,Pi),Vc=g(Pi),En=i(Pi,"P",{});var Ai=l(En);Xc=m(Ai,"Returns True to validate the check that the model using "),Gr=i(Ai,"CODE",{});var $g=l(Gr);Uc=m($g,"GenerationMixin.generate()"),$g.forEach(t),Wc=m(Ai," can indeed generate."),Ai.forEach(t),Pi.forEach(t),Bc=g(To),oe=i(To,"DIV",{class:!0});var Pe=l(oe);x(Rn.$$.fragment,Pe),Hc=g(Pe),it=i(Pe,"P",{});var as=l(it);Qc=m(as,"The "),Jr=i(as,"CODE",{});var vg=l(Jr);Gc=m(vg,"ORTModelForSpeechSeq2Seq"),vg.forEach(t),Jc=m(as," forward method, overrides the "),Kr=i(as,"CODE",{});var kg=l(Kr);Kc=m(kg,"__call__"),kg.forEach(t),Yc=m(as," special method."),as.forEach(t),Zc=g(Pe),x(io.$$.fragment,Pe),eu=g(Pe),x(lo.$$.fragment,Pe),tu=g(Pe),x(po.$$.fragment,Pe),Pe.forEach(t),To.forEach(t),ri=g(o),lt=i(o,"H2",{class:!0});var Ni=l(lt);mo=i(Ni,"A",{id:!0,class:!0,href:!0});var wg=l(mo);Yr=i(wg,"SPAN",{});var xg=l(Yr);x(Fn.$$.fragment,xg),xg.forEach(t),wg.forEach(t),ou=g(Ni),Zr=i(Ni,"SPAN",{});var Tg=l(Zr);nu=m(Tg,"ORTModelForTokenClassification"),Tg.forEach(t),Ni.forEach(t),ai=g(o),B=i(o,"DIV",{class:!0});var Ae=l(B);x(Sn.$$.fragment,Ae),su=g(Ae),ea=i(Ae,"P",{});var bg=l(ea);ru=m(bg,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),bg.forEach(t),au=g(Ae),Cn=i(Ae,"P",{});var Ii=l(Cn);iu=m(Ii,"This model inherits from [~"),ta=i(Ii,"CODE",{});var Mg=l(ta);lu=m(Mg,"onnxruntime.modeling_ort.ORTModel"),Mg.forEach(t),pu=m(Ii,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ii.forEach(t),mu=g(Ae),oa=i(Ae,"P",{});var Og=l(oa);du=m(Og,"Token Classification model for ONNX."),Og.forEach(t),cu=g(Ae),ne=i(Ae,"DIV",{class:!0});var Ne=l(ne);x(zn.$$.fragment,Ne),uu=g(Ne),pt=i(Ne,"P",{});var is=l(pt);hu=m(is,"The "),na=i(is,"CODE",{});var yg=l(na);gu=m(yg,"ORTModelForTokenClassification"),yg.forEach(t),fu=m(is," forward method, overrides the "),sa=i(is,"CODE",{});var qg=l(sa);_u=m(qg,"__call__"),qg.forEach(t),$u=m(is," special method."),is.forEach(t),vu=g(Ne),x(co.$$.fragment,Ne),ku=g(Ne),x(uo.$$.fragment,Ne),wu=g(Ne),x(ho.$$.fragment,Ne),Ne.forEach(t),Ae.forEach(t),ii=g(o),mt=i(o,"H2",{class:!0});var Li=l(mt);go=i(Li,"A",{id:!0,class:!0,href:!0});var jg=l(go);ra=i(jg,"SPAN",{});var Eg=l(ra);x(Pn.$$.fragment,Eg),Eg.forEach(t),jg.forEach(t),xu=g(Li),aa=i(Li,"SPAN",{});var Rg=l(aa);Tu=m(Rg,"ORTModelForVision2Seq"),Rg.forEach(t),Li.forEach(t),li=g(o),me=i(o,"DIV",{class:!0});var bo=l(me);x(An.$$.fragment,bo),bu=g(bo),ia=i(bo,"P",{});var Fg=l(ia);Mu=m(Fg,"VisionEncoderDecoder Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Fg.forEach(t),Ou=g(bo),fo=i(bo,"DIV",{class:!0});var Di=l(fo);x(Nn.$$.fragment,Di),yu=g(Di),In=i(Di,"P",{});var Vi=l(In);qu=m(Vi,"Returns True to validate the check that the model using "),la=i(Vi,"CODE",{});var Sg=l(la);ju=m(Sg,"GenerationMixin.generate()"),Sg.forEach(t),Eu=m(Vi," can indeed generate."),Vi.forEach(t),Di.forEach(t),Ru=g(bo),se=i(bo,"DIV",{class:!0});var Ie=l(se);x(Ln.$$.fragment,Ie),Fu=g(Ie),dt=i(Ie,"P",{});var ls=l(dt);Su=m(ls,"The "),pa=i(ls,"CODE",{});var Cg=l(pa);Cu=m(Cg,"ORTModelForVision2Seq"),Cg.forEach(t),zu=m(ls," forward method, overrides the "),ma=i(ls,"CODE",{});var zg=l(ma);Pu=m(zg,"__call__"),zg.forEach(t),Au=m(ls," special method."),ls.forEach(t),Nu=g(Ie),x(_o.$$.fragment,Ie),Iu=g(Ie),x($o.$$.fragment,Ie),Lu=g(Ie),x(vo.$$.fragment,Ie),Ie.forEach(t),bo.forEach(t),this.h()},h(){q(s,"name","hf:doc:metadata"),q(s,"content",JSON.stringify(qf)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(d,"class","relative group"),q(ct,"id","optimum.onnxruntime.ORTModel"),q(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ct,"href","#optimum.onnxruntime.ORTModel"),q(E,"class","relative group"),q(Ro,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),q(Ro,"rel","nofollow"),q(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(_t,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(_t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(_t,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(Le,"class","relative group"),q($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(xt,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(xt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(xt,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(Ve,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ot,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ot,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ue,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Et,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(Et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Et,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Be,"class","relative group"),q(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ct,"id","optimum.onnxruntime.ORTModelForMaskedLM"),q(Ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ct,"href","#optimum.onnxruntime.ORTModelForMaskedLM"),q(Qe,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Nt,"id","optimum.onnxruntime.ORTModelForMultipleChoice"),q(Nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Nt,"href","#optimum.onnxruntime.ORTModelForMultipleChoice"),q(Je,"class","relative group"),q(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Dt,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Dt,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ye,"class","relative group"),q(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Wt,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(Wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Wt,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),q(et,"class","relative group"),q(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Gt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Gt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(ot,"class","relative group"),q(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(eo,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(eo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(eo,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(st,"class","relative group"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ro,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(ro,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ro,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(at,"class","relative group"),q(ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(mo,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(mo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(mo,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(lt,"class","relative group"),q(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(go,"id","optimum.onnxruntime.ORTModelForVision2Seq"),q(go,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(go,"href","#optimum.onnxruntime.ORTModelForVision2Seq"),q(mt,"class","relative group"),q(fo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,$){e(document.head,s),k(o,_,$),k(o,d,$),e(d,u),e(u,f),T(n,f,null),e(d,r),e(d,y),e(y,c),k(o,v,$),k(o,E,$),e(E,ct),e(ct,ps),T(Mo,ps,null),e(E,Xi),e(E,ms),e(ms,Ui),k(o,Pa,$),k(o,F,$),T(Oo,F,null),e(F,Wi),e(F,ds),e(ds,Bi),e(F,Hi),e(F,yo),e(yo,Qi),e(yo,cs),e(cs,Gi),e(yo,Ji),e(F,Ki),e(F,us),e(us,Yi),e(F,Zi),e(F,qo),e(qo,fe),e(fe,el),e(fe,hs),e(hs,tl),e(fe,ol),e(fe,gs),e(gs,nl),e(fe,sl),e(fe,fs),e(fs,rl),e(fe,al),e(qo,il),e(qo,_e),e(_e,ll),e(_e,_s),e(_s,pl),e(_e,ml),e(_e,$s),e($s,dl),e(_e,cl),e(_e,vs),e(vs,ul),e(_e,hl),e(F,gl),e(F,ks),e(ks,fl),e(F,_l),e(F,re),e(re,jo),e(jo,$l),e(jo,ws),e(ws,vl),e(jo,kl),e(re,wl),e(re,Eo),e(Eo,xl),e(Eo,Ro),e(Ro,Tl),e(Eo,bl),e(re,Ml),e(re,ae),e(ae,Ol),e(ae,xs),e(xs,yl),e(ae,ql),e(ae,Ts),e(Ts,jl),e(ae,El),e(ae,bs),e(bs,Rl),e(ae,Fl),e(ae,Ms),e(Ms,Sl),e(ae,Cl),e(re,zl),e(re,Fo),e(Fo,Pl),e(Fo,Os),e(Os,Al),e(Fo,Nl),e(re,Il),e(re,ys),e(ys,Ll),e(F,Dl),e(F,ut),T(So,ut,null),e(ut,Vl),e(ut,qs),e(qs,Xl),e(F,Ul),e(F,ht),T(Co,ht,null),e(ht,Wl),e(ht,zo),e(zo,Bl),e(zo,js),e(js,Hl),e(zo,Ql),e(F,Gl),e(F,gt),T(Po,gt,null),e(gt,Jl),e(gt,Es),e(Es,Kl),e(F,Yl),e(F,ft),T(Ao,ft,null),e(ft,Zl),e(ft,Rs),e(Rs,ep),k(o,Aa,$),k(o,Le,$),e(Le,_t),e(_t,Fs),T(No,Fs,null),e(Le,tp),e(Le,Ss),e(Ss,op),k(o,Na,$),k(o,ie,$),T(Io,ie,null),e(ie,np),e(ie,Cs),e(Cs,sp),e(ie,rp),e(ie,$t),T(Lo,$t,null),e($t,ap),e($t,Do),e(Do,ip),e(Do,zs),e(zs,lp),e(Do,pp),e(ie,mp),e(ie,Q),T(Vo,Q,null),e(Q,dp),e(Q,De),e(De,cp),e(De,Ps),e(Ps,up),e(De,hp),e(De,As),e(As,gp),e(De,fp),e(Q,_p),T(vt,Q,null),e(Q,$p),T(kt,Q,null),e(Q,vp),T(wt,Q,null),k(o,Ia,$),k(o,Ve,$),e(Ve,xt),e(xt,Ns),T(Xo,Ns,null),e(Ve,kp),e(Ve,Is),e(Is,wp),k(o,La,$),k(o,N,$),T(Uo,N,null),e(N,xp),e(N,Ls),e(Ls,Tp),e(N,bp),e(N,Wo),e(Wo,Mp),e(Wo,Ds),e(Ds,Op),e(Wo,yp),e(N,qp),e(N,Vs),e(Vs,jp),e(N,Ep),e(N,G),T(Bo,G,null),e(G,Rp),e(G,Xe),e(Xe,Fp),e(Xe,Xs),e(Xs,Sp),e(Xe,Cp),e(Xe,Us),e(Us,zp),e(Xe,Pp),e(G,Ap),T(Tt,G,null),e(G,Np),T(bt,G,null),e(G,Ip),T(Mt,G,null),k(o,Da,$),k(o,Ue,$),e(Ue,Ot),e(Ot,Ws),T(Ho,Ws,null),e(Ue,Lp),e(Ue,Bs),e(Bs,Dp),k(o,Va,$),k(o,I,$),T(Qo,I,null),e(I,Vp),e(I,Hs),e(Hs,Xp),e(I,Up),e(I,Go),e(Go,Wp),e(Go,Qs),e(Qs,Bp),e(Go,Hp),e(I,Qp),e(I,Gs),e(Gs,Gp),e(I,Jp),e(I,J),T(Jo,J,null),e(J,Kp),e(J,We),e(We,Yp),e(We,Js),e(Js,Zp),e(We,em),e(We,Ks),e(Ks,tm),e(We,om),e(J,nm),T(yt,J,null),e(J,sm),T(qt,J,null),e(J,rm),T(jt,J,null),k(o,Xa,$),k(o,Be,$),e(Be,Et),e(Et,Ys),T(Ko,Ys,null),e(Be,am),e(Be,Zs),e(Zs,im),k(o,Ua,$),k(o,L,$),T(Yo,L,null),e(L,lm),e(L,er),e(er,pm),e(L,mm),e(L,Zo),e(Zo,dm),e(Zo,tr),e(tr,cm),e(Zo,um),e(L,hm),e(L,or),e(or,gm),e(L,fm),e(L,K),T(en,K,null),e(K,_m),e(K,He),e(He,$m),e(He,nr),e(nr,vm),e(He,km),e(He,sr),e(sr,wm),e(He,xm),e(K,Tm),T(Rt,K,null),e(K,bm),T(Ft,K,null),e(K,Mm),T(St,K,null),k(o,Wa,$),k(o,Qe,$),e(Qe,Ct),e(Ct,rr),T(tn,rr,null),e(Qe,Om),e(Qe,ar),e(ar,ym),k(o,Ba,$),k(o,D,$),T(on,D,null),e(D,qm),e(D,ir),e(ir,jm),e(D,Em),e(D,nn),e(nn,Rm),e(nn,lr),e(lr,Fm),e(nn,Sm),e(D,Cm),e(D,pr),e(pr,zm),e(D,Pm),e(D,Y),T(sn,Y,null),e(Y,Am),e(Y,Ge),e(Ge,Nm),e(Ge,mr),e(mr,Im),e(Ge,Lm),e(Ge,dr),e(dr,Dm),e(Ge,Vm),e(Y,Xm),T(zt,Y,null),e(Y,Um),T(Pt,Y,null),e(Y,Wm),T(At,Y,null),k(o,Ha,$),k(o,Je,$),e(Je,Nt),e(Nt,cr),T(rn,cr,null),e(Je,Bm),e(Je,ur),e(ur,Hm),k(o,Qa,$),k(o,V,$),T(an,V,null),e(V,Qm),e(V,hr),e(hr,Gm),e(V,Jm),e(V,ln),e(ln,Km),e(ln,gr),e(gr,Ym),e(ln,Zm),e(V,ed),e(V,fr),e(fr,td),e(V,od),e(V,he),T(pn,he,null),e(he,nd),e(he,Ke),e(Ke,sd),e(Ke,_r),e(_r,rd),e(Ke,ad),e(Ke,$r),e($r,id),e(Ke,ld),e(he,pd),T(It,he,null),e(he,md),T(Lt,he,null),k(o,Ga,$),k(o,Ye,$),e(Ye,Dt),e(Dt,vr),T(mn,vr,null),e(Ye,dd),e(Ye,kr),e(kr,cd),k(o,Ja,$),k(o,X,$),T(dn,X,null),e(X,ud),e(X,wr),e(wr,hd),e(X,gd),e(X,cn),e(cn,fd),e(cn,xr),e(xr,_d),e(cn,$d),e(X,vd),e(X,Tr),e(Tr,kd),e(X,wd),e(X,Z),T(un,Z,null),e(Z,xd),e(Z,Ze),e(Ze,Td),e(Ze,br),e(br,bd),e(Ze,Md),e(Ze,Mr),e(Mr,Od),e(Ze,yd),e(Z,qd),T(Vt,Z,null),e(Z,jd),T(Xt,Z,null),e(Z,Ed),T(Ut,Z,null),k(o,Ka,$),k(o,et,$),e(et,Wt),e(Wt,Or),T(hn,Or,null),e(et,Rd),e(et,yr),e(yr,Fd),k(o,Ya,$),k(o,U,$),T(gn,U,null),e(U,Sd),e(U,qr),e(qr,Cd),e(U,zd),e(U,fn),e(fn,Pd),e(fn,jr),e(jr,Ad),e(fn,Nd),e(U,Id),e(U,Er),e(Er,Ld),e(U,Dd),e(U,ee),T(_n,ee,null),e(ee,Vd),e(ee,tt),e(tt,Xd),e(tt,Rr),e(Rr,Ud),e(tt,Wd),e(tt,Fr),e(Fr,Bd),e(tt,Hd),e(ee,Qd),T(Bt,ee,null),e(ee,Gd),T(Ht,ee,null),e(ee,Jd),T(Qt,ee,null),k(o,Za,$),k(o,ot,$),e(ot,Gt),e(Gt,Sr),T($n,Sr,null),e(ot,Kd),e(ot,Cr),e(Cr,Yd),k(o,ei,$),k(o,le,$),T(vn,le,null),e(le,Zd),e(le,zr),e(zr,ec),e(le,tc),e(le,Jt),T(kn,Jt,null),e(Jt,oc),e(Jt,wn),e(wn,nc),e(wn,Pr),e(Pr,sc),e(wn,rc),e(le,ac),e(le,te),T(xn,te,null),e(te,ic),e(te,nt),e(nt,lc),e(nt,Ar),e(Ar,pc),e(nt,mc),e(nt,Nr),e(Nr,dc),e(nt,cc),e(te,uc),T(Kt,te,null),e(te,hc),T(Yt,te,null),e(te,gc),T(Zt,te,null),k(o,ti,$),k(o,st,$),e(st,eo),e(eo,Ir),T(Tn,Ir,null),e(st,fc),e(st,Lr),e(Lr,_c),k(o,oi,$),k(o,W,$),T(bn,W,null),e(W,$c),e(W,Dr),e(Dr,vc),e(W,kc),e(W,Mn),e(Mn,wc),e(Mn,Vr),e(Vr,xc),e(Mn,Tc),e(W,bc),e(W,Xr),e(Xr,Mc),e(W,Oc),e(W,A),T(On,A,null),e(A,yc),e(A,rt),e(rt,qc),e(rt,Ur),e(Ur,jc),e(rt,Ec),e(rt,Wr),e(Wr,Rc),e(rt,Fc),e(A,Sc),T(to,A,null),e(A,Cc),T(oo,A,null),e(A,zc),T(no,A,null),e(A,Pc),T(so,A,null),k(o,ni,$),k(o,at,$),e(at,ro),e(ro,Br),T(yn,Br,null),e(at,Ac),e(at,Hr),e(Hr,Nc),k(o,si,$),k(o,pe,$),T(qn,pe,null),e(pe,Ic),e(pe,Qr),e(Qr,Lc),e(pe,Dc),e(pe,ao),T(jn,ao,null),e(ao,Vc),e(ao,En),e(En,Xc),e(En,Gr),e(Gr,Uc),e(En,Wc),e(pe,Bc),e(pe,oe),T(Rn,oe,null),e(oe,Hc),e(oe,it),e(it,Qc),e(it,Jr),e(Jr,Gc),e(it,Jc),e(it,Kr),e(Kr,Kc),e(it,Yc),e(oe,Zc),T(io,oe,null),e(oe,eu),T(lo,oe,null),e(oe,tu),T(po,oe,null),k(o,ri,$),k(o,lt,$),e(lt,mo),e(mo,Yr),T(Fn,Yr,null),e(lt,ou),e(lt,Zr),e(Zr,nu),k(o,ai,$),k(o,B,$),T(Sn,B,null),e(B,su),e(B,ea),e(ea,ru),e(B,au),e(B,Cn),e(Cn,iu),e(Cn,ta),e(ta,lu),e(Cn,pu),e(B,mu),e(B,oa),e(oa,du),e(B,cu),e(B,ne),T(zn,ne,null),e(ne,uu),e(ne,pt),e(pt,hu),e(pt,na),e(na,gu),e(pt,fu),e(pt,sa),e(sa,_u),e(pt,$u),e(ne,vu),T(co,ne,null),e(ne,ku),T(uo,ne,null),e(ne,wu),T(ho,ne,null),k(o,ii,$),k(o,mt,$),e(mt,go),e(go,ra),T(Pn,ra,null),e(mt,xu),e(mt,aa),e(aa,Tu),k(o,li,$),k(o,me,$),T(An,me,null),e(me,bu),e(me,ia),e(ia,Mu),e(me,Ou),e(me,fo),T(Nn,fo,null),e(fo,yu),e(fo,In),e(In,qu),e(In,la),e(la,ju),e(In,Eu),e(me,Ru),e(me,se),T(Ln,se,null),e(se,Fu),e(se,dt),e(dt,Su),e(dt,pa),e(pa,Cu),e(dt,zu),e(dt,ma),e(ma,Pu),e(dt,Au),e(se,Nu),T(_o,se,null),e(se,Iu),T($o,se,null),e(se,Lu),T(vo,se,null),pi=!0},p(o,[$]){const Dn={};$&2&&(Dn.$$scope={dirty:$,ctx:o}),vt.$set(Dn);const da={};$&2&&(da.$$scope={dirty:$,ctx:o}),kt.$set(da);const ca={};$&2&&(ca.$$scope={dirty:$,ctx:o}),wt.$set(ca);const ua={};$&2&&(ua.$$scope={dirty:$,ctx:o}),Tt.$set(ua);const Vn={};$&2&&(Vn.$$scope={dirty:$,ctx:o}),bt.$set(Vn);const ha={};$&2&&(ha.$$scope={dirty:$,ctx:o}),Mt.$set(ha);const ga={};$&2&&(ga.$$scope={dirty:$,ctx:o}),yt.$set(ga);const fa={};$&2&&(fa.$$scope={dirty:$,ctx:o}),qt.$set(fa);const P={};$&2&&(P.$$scope={dirty:$,ctx:o}),jt.$set(P);const _a={};$&2&&(_a.$$scope={dirty:$,ctx:o}),Rt.$set(_a);const Xn={};$&2&&(Xn.$$scope={dirty:$,ctx:o}),Ft.$set(Xn);const $a={};$&2&&($a.$$scope={dirty:$,ctx:o}),St.$set($a);const va={};$&2&&(va.$$scope={dirty:$,ctx:o}),zt.$set(va);const Un={};$&2&&(Un.$$scope={dirty:$,ctx:o}),Pt.$set(Un);const $e={};$&2&&($e.$$scope={dirty:$,ctx:o}),At.$set($e);const ka={};$&2&&(ka.$$scope={dirty:$,ctx:o}),It.$set(ka);const wa={};$&2&&(wa.$$scope={dirty:$,ctx:o}),Lt.$set(wa);const xa={};$&2&&(xa.$$scope={dirty:$,ctx:o}),Vt.$set(xa);const ve={};$&2&&(ve.$$scope={dirty:$,ctx:o}),Xt.$set(ve);const Ta={};$&2&&(Ta.$$scope={dirty:$,ctx:o}),Ut.$set(Ta);const ba={};$&2&&(ba.$$scope={dirty:$,ctx:o}),Bt.$set(ba);const Ma={};$&2&&(Ma.$$scope={dirty:$,ctx:o}),Ht.$set(Ma);const Oa={};$&2&&(Oa.$$scope={dirty:$,ctx:o}),Qt.$set(Oa);const de={};$&2&&(de.$$scope={dirty:$,ctx:o}),Kt.$set(de);const Wn={};$&2&&(Wn.$$scope={dirty:$,ctx:o}),Yt.$set(Wn);const ya={};$&2&&(ya.$$scope={dirty:$,ctx:o}),Zt.$set(ya);const Bn={};$&2&&(Bn.$$scope={dirty:$,ctx:o}),to.$set(Bn);const qa={};$&2&&(qa.$$scope={dirty:$,ctx:o}),oo.$set(qa);const ce={};$&2&&(ce.$$scope={dirty:$,ctx:o}),no.$set(ce);const ja={};$&2&&(ja.$$scope={dirty:$,ctx:o}),so.$set(ja);const Ea={};$&2&&(Ea.$$scope={dirty:$,ctx:o}),io.$set(Ea);const Ra={};$&2&&(Ra.$$scope={dirty:$,ctx:o}),lo.$set(Ra);const Fa={};$&2&&(Fa.$$scope={dirty:$,ctx:o}),po.$set(Fa);const Hn={};$&2&&(Hn.$$scope={dirty:$,ctx:o}),co.$set(Hn);const Sa={};$&2&&(Sa.$$scope={dirty:$,ctx:o}),uo.$set(Sa);const Ca={};$&2&&(Ca.$$scope={dirty:$,ctx:o}),ho.$set(Ca);const Qn={};$&2&&(Qn.$$scope={dirty:$,ctx:o}),_o.$set(Qn);const za={};$&2&&(za.$$scope={dirty:$,ctx:o}),$o.$set(za);const Gn={};$&2&&(Gn.$$scope={dirty:$,ctx:o}),vo.$set(Gn)},i(o){pi||(b(n.$$.fragment,o),b(Mo.$$.fragment,o),b(Oo.$$.fragment,o),b(So.$$.fragment,o),b(Co.$$.fragment,o),b(Po.$$.fragment,o),b(Ao.$$.fragment,o),b(No.$$.fragment,o),b(Io.$$.fragment,o),b(Lo.$$.fragment,o),b(Vo.$$.fragment,o),b(vt.$$.fragment,o),b(kt.$$.fragment,o),b(wt.$$.fragment,o),b(Xo.$$.fragment,o),b(Uo.$$.fragment,o),b(Bo.$$.fragment,o),b(Tt.$$.fragment,o),b(bt.$$.fragment,o),b(Mt.$$.fragment,o),b(Ho.$$.fragment,o),b(Qo.$$.fragment,o),b(Jo.$$.fragment,o),b(yt.$$.fragment,o),b(qt.$$.fragment,o),b(jt.$$.fragment,o),b(Ko.$$.fragment,o),b(Yo.$$.fragment,o),b(en.$$.fragment,o),b(Rt.$$.fragment,o),b(Ft.$$.fragment,o),b(St.$$.fragment,o),b(tn.$$.fragment,o),b(on.$$.fragment,o),b(sn.$$.fragment,o),b(zt.$$.fragment,o),b(Pt.$$.fragment,o),b(At.$$.fragment,o),b(rn.$$.fragment,o),b(an.$$.fragment,o),b(pn.$$.fragment,o),b(It.$$.fragment,o),b(Lt.$$.fragment,o),b(mn.$$.fragment,o),b(dn.$$.fragment,o),b(un.$$.fragment,o),b(Vt.$$.fragment,o),b(Xt.$$.fragment,o),b(Ut.$$.fragment,o),b(hn.$$.fragment,o),b(gn.$$.fragment,o),b(_n.$$.fragment,o),b(Bt.$$.fragment,o),b(Ht.$$.fragment,o),b(Qt.$$.fragment,o),b($n.$$.fragment,o),b(vn.$$.fragment,o),b(kn.$$.fragment,o),b(xn.$$.fragment,o),b(Kt.$$.fragment,o),b(Yt.$$.fragment,o),b(Zt.$$.fragment,o),b(Tn.$$.fragment,o),b(bn.$$.fragment,o),b(On.$$.fragment,o),b(to.$$.fragment,o),b(oo.$$.fragment,o),b(no.$$.fragment,o),b(so.$$.fragment,o),b(yn.$$.fragment,o),b(qn.$$.fragment,o),b(jn.$$.fragment,o),b(Rn.$$.fragment,o),b(io.$$.fragment,o),b(lo.$$.fragment,o),b(po.$$.fragment,o),b(Fn.$$.fragment,o),b(Sn.$$.fragment,o),b(zn.$$.fragment,o),b(co.$$.fragment,o),b(uo.$$.fragment,o),b(ho.$$.fragment,o),b(Pn.$$.fragment,o),b(An.$$.fragment,o),b(Nn.$$.fragment,o),b(Ln.$$.fragment,o),b(_o.$$.fragment,o),b($o.$$.fragment,o),b(vo.$$.fragment,o),pi=!0)},o(o){M(n.$$.fragment,o),M(Mo.$$.fragment,o),M(Oo.$$.fragment,o),M(So.$$.fragment,o),M(Co.$$.fragment,o),M(Po.$$.fragment,o),M(Ao.$$.fragment,o),M(No.$$.fragment,o),M(Io.$$.fragment,o),M(Lo.$$.fragment,o),M(Vo.$$.fragment,o),M(vt.$$.fragment,o),M(kt.$$.fragment,o),M(wt.$$.fragment,o),M(Xo.$$.fragment,o),M(Uo.$$.fragment,o),M(Bo.$$.fragment,o),M(Tt.$$.fragment,o),M(bt.$$.fragment,o),M(Mt.$$.fragment,o),M(Ho.$$.fragment,o),M(Qo.$$.fragment,o),M(Jo.$$.fragment,o),M(yt.$$.fragment,o),M(qt.$$.fragment,o),M(jt.$$.fragment,o),M(Ko.$$.fragment,o),M(Yo.$$.fragment,o),M(en.$$.fragment,o),M(Rt.$$.fragment,o),M(Ft.$$.fragment,o),M(St.$$.fragment,o),M(tn.$$.fragment,o),M(on.$$.fragment,o),M(sn.$$.fragment,o),M(zt.$$.fragment,o),M(Pt.$$.fragment,o),M(At.$$.fragment,o),M(rn.$$.fragment,o),M(an.$$.fragment,o),M(pn.$$.fragment,o),M(It.$$.fragment,o),M(Lt.$$.fragment,o),M(mn.$$.fragment,o),M(dn.$$.fragment,o),M(un.$$.fragment,o),M(Vt.$$.fragment,o),M(Xt.$$.fragment,o),M(Ut.$$.fragment,o),M(hn.$$.fragment,o),M(gn.$$.fragment,o),M(_n.$$.fragment,o),M(Bt.$$.fragment,o),M(Ht.$$.fragment,o),M(Qt.$$.fragment,o),M($n.$$.fragment,o),M(vn.$$.fragment,o),M(kn.$$.fragment,o),M(xn.$$.fragment,o),M(Kt.$$.fragment,o),M(Yt.$$.fragment,o),M(Zt.$$.fragment,o),M(Tn.$$.fragment,o),M(bn.$$.fragment,o),M(On.$$.fragment,o),M(to.$$.fragment,o),M(oo.$$.fragment,o),M(no.$$.fragment,o),M(so.$$.fragment,o),M(yn.$$.fragment,o),M(qn.$$.fragment,o),M(jn.$$.fragment,o),M(Rn.$$.fragment,o),M(io.$$.fragment,o),M(lo.$$.fragment,o),M(po.$$.fragment,o),M(Fn.$$.fragment,o),M(Sn.$$.fragment,o),M(zn.$$.fragment,o),M(co.$$.fragment,o),M(uo.$$.fragment,o),M(ho.$$.fragment,o),M(Pn.$$.fragment,o),M(An.$$.fragment,o),M(Nn.$$.fragment,o),M(Ln.$$.fragment,o),M(_o.$$.fragment,o),M($o.$$.fragment,o),M(vo.$$.fragment,o),pi=!1},d(o){t(s),o&&t(_),o&&t(d),O(n),o&&t(v),o&&t(E),O(Mo),o&&t(Pa),o&&t(F),O(Oo),O(So),O(Co),O(Po),O(Ao),o&&t(Aa),o&&t(Le),O(No),o&&t(Na),o&&t(ie),O(Io),O(Lo),O(Vo),O(vt),O(kt),O(wt),o&&t(Ia),o&&t(Ve),O(Xo),o&&t(La),o&&t(N),O(Uo),O(Bo),O(Tt),O(bt),O(Mt),o&&t(Da),o&&t(Ue),O(Ho),o&&t(Va),o&&t(I),O(Qo),O(Jo),O(yt),O(qt),O(jt),o&&t(Xa),o&&t(Be),O(Ko),o&&t(Ua),o&&t(L),O(Yo),O(en),O(Rt),O(Ft),O(St),o&&t(Wa),o&&t(Qe),O(tn),o&&t(Ba),o&&t(D),O(on),O(sn),O(zt),O(Pt),O(At),o&&t(Ha),o&&t(Je),O(rn),o&&t(Qa),o&&t(V),O(an),O(pn),O(It),O(Lt),o&&t(Ga),o&&t(Ye),O(mn),o&&t(Ja),o&&t(X),O(dn),O(un),O(Vt),O(Xt),O(Ut),o&&t(Ka),o&&t(et),O(hn),o&&t(Ya),o&&t(U),O(gn),O(_n),O(Bt),O(Ht),O(Qt),o&&t(Za),o&&t(ot),O($n),o&&t(ei),o&&t(le),O(vn),O(kn),O(xn),O(Kt),O(Yt),O(Zt),o&&t(ti),o&&t(st),O(Tn),o&&t(oi),o&&t(W),O(bn),O(On),O(to),O(oo),O(no),O(so),o&&t(ni),o&&t(at),O(yn),o&&t(si),o&&t(pe),O(qn),O(jn),O(Rn),O(io),O(lo),O(po),o&&t(ri),o&&t(lt),O(Fn),o&&t(ai),o&&t(B),O(Sn),O(zn),O(co),O(uo),O(ho),o&&t(ii),o&&t(mt),O(Pn),o&&t(li),o&&t(me),O(An),O(Nn),O(Ln),O(_o),O($o),O(vo)}}}const qf={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForMaskedLM",title:"ORTModelForMaskedLM"},{local:"optimum.onnxruntime.ORTModelForMultipleChoice",title:"ORTModelForMultipleChoice"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"},{local:"optimum.onnxruntime.ORTModelForVision2Seq",title:"ORTModelForVision2Seq"}],title:"Models"};function jf(j){return Lg(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Pf extends Pg{constructor(s){super();Ag(this,s,jf,yf,Ng,{})}}export{Pf as default,qf as metadata};
